<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "CIE10info.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$CIE10_view = NULL; // Initialize page object first

class cCIE10_view extends cCIE10 {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{034B1A10-E944-4CA3-9700-945506084CBC}";

	// Table name
	var $TableName = 'CIE10';

	// Page object name
	var $PageObjName = 'CIE10_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Custom export
	var $ExportExcelCustom = FALSE;
	var $ExportWordCustom = FALSE;
	var $ExportPdfCustom = FALSE;
	var $ExportEmailCustom = FALSE;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (CIE10)
		if (!isset($GLOBALS["CIE10"]) || get_class($GLOBALS["CIE10"]) == "cCIE10") {
			$GLOBALS["CIE10"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["CIE10"];
		}
		$KeyUrl = "";
		if (@$_GET["Id"] <> "") {
			$this->RecKey["Id"] = $_GET["Id"];
			$KeyUrl .= "&amp;Id=" . urlencode($this->RecKey["Id"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'CIE10', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "div";
		$this->ExportOptions->TagClassName = "ewExportOption";

		// Other options
		$this->OtherOptions['action'] = new cListOptions();
		$this->OtherOptions['action']->Tag = "div";
		$this->OtherOptions['action']->TagClassName = "ewActionOption";
		$this->OtherOptions['detail'] = new cListOptions();
		$this->OtherOptions['detail']->Tag = "div";
		$this->OtherOptions['detail']->TagClassName = "ewDetailOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->Id->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $CIE10;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($CIE10);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $OtherOptions = array(); // Other options
	var $DisplayRecs = 1;
	var $DbMasterFilter;
	var $DbDetailFilter;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;

		// Set up Breadcrumb
		if ($this->Export == "")
			$this->SetupBreadcrumb();
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["Id"] <> "") {
				$this->Id->setQueryStringValue($_GET["Id"]);
				$this->RecKey["Id"] = $this->Id->QueryStringValue;
			} elseif (@$_POST["Id"] <> "") {
				$this->Id->setFormValue($_POST["Id"]);
				$this->RecKey["Id"] = $this->Id->FormValue;
			} else {
				$sReturnUrl = "CIE10list.php"; // Return to list
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "CIE10list.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "CIE10list.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up other options
	function SetupOtherOptions() {
		global $Language, $Security;
		$options = &$this->OtherOptions;
		$option = &$options["action"];

		// Add
		$item = &$option->Add("add");
		$item->Body = "<a class=\"ewAction ewAdd\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" href=\"" . ew_HtmlEncode($this->AddUrl) . "\">" . $Language->Phrase("ViewPageAddLink") . "</a>";
		$item->Visible = ($this->AddUrl <> "");

		// Edit
		$item = &$option->Add("edit");
		$item->Body = "<a class=\"ewAction ewEdit\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" href=\"" . ew_HtmlEncode($this->EditUrl) . "\">" . $Language->Phrase("ViewPageEditLink") . "</a>";
		$item->Visible = ($this->EditUrl <> "");

		// Copy
		$item = &$option->Add("copy");
		$item->Body = "<a class=\"ewAction ewCopy\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" href=\"" . ew_HtmlEncode($this->CopyUrl) . "\">" . $Language->Phrase("ViewPageCopyLink") . "</a>";
		$item->Visible = ($this->CopyUrl <> "");

		// Delete
		$item = &$option->Add("delete");
		$item->Body = "<a class=\"ewAction ewDelete\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" href=\"" . ew_HtmlEncode($this->DeleteUrl) . "\">" . $Language->Phrase("ViewPageDeleteLink") . "</a>";
		$item->Visible = ($this->DeleteUrl <> "");

		// Set up action default
		$option = &$options["action"];
		$option->DropDownButtonPhrase = $Language->Phrase("ButtonActions");
		$option->UseImageAndText = TRUE;
		$option->UseDropDownButton = FALSE;
		$option->UseButtonGroup = TRUE;
		$item = &$option->Add($option->GroupOptionName);
		$item->Body = "";
		$item->Visible = FALSE;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Id->setDbValue($rs->fields('Id'));
		$this->Codigo->setDbValue($rs->fields('Codigo'));
		$this->Causa_Completa->setDbValue($rs->fields('Causa_Completa'));
		$this->Causa->setDbValue($rs->fields('Causa'));
		$this->Letra->setDbValue($rs->fields('Letra'));
		$this->Numero->setDbValue($rs->fields('Numero'));
		$this->monitoreado->setDbValue($rs->fields('monitoreado'));
		$this->Grupo_Mortalidad->setDbValue($rs->fields('Grupo_Mortalidad'));
		$this->Nombre_Subgrupo->setDbValue($rs->fields('Nombre_Subgrupo'));
		$this->Grupo_General->setDbValue($rs->fields('Grupo_General'));
		$this->Nombre->setDbValue($rs->fields('Nombre'));
		$this->Codigo_tres->setDbValue($rs->fields('Codigo_tres'));
		$this->Nombre_codigo_tres->setDbValue($rs->fields('Nombre_codigo_tres'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Id->DbValue = $row['Id'];
		$this->Codigo->DbValue = $row['Codigo'];
		$this->Causa_Completa->DbValue = $row['Causa_Completa'];
		$this->Causa->DbValue = $row['Causa'];
		$this->Letra->DbValue = $row['Letra'];
		$this->Numero->DbValue = $row['Numero'];
		$this->monitoreado->DbValue = $row['monitoreado'];
		$this->Grupo_Mortalidad->DbValue = $row['Grupo_Mortalidad'];
		$this->Nombre_Subgrupo->DbValue = $row['Nombre_Subgrupo'];
		$this->Grupo_General->DbValue = $row['Grupo_General'];
		$this->Nombre->DbValue = $row['Nombre'];
		$this->Codigo_tres->DbValue = $row['Codigo_tres'];
		$this->Nombre_codigo_tres->DbValue = $row['Nombre_codigo_tres'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();
		$this->SetupOtherOptions();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// Id
		// Codigo
		// Causa_Completa
		// Causa
		// Letra
		// Numero
		// monitoreado
		// Grupo_Mortalidad
		// Nombre_Subgrupo
		// Grupo_General
		// Nombre
		// Codigo_tres
		// Nombre_codigo_tres

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Id
		$this->Id->ViewValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Codigo
		$this->Codigo->ViewValue = $this->Codigo->CurrentValue;
		$this->Codigo->ViewCustomAttributes = "";

		// Causa_Completa
		$this->Causa_Completa->ViewValue = $this->Causa_Completa->CurrentValue;
		$this->Causa_Completa->ViewCustomAttributes = "";

		// Causa
		$this->Causa->ViewValue = $this->Causa->CurrentValue;
		$this->Causa->ViewCustomAttributes = "";

		// Letra
		$this->Letra->ViewValue = $this->Letra->CurrentValue;
		$this->Letra->ViewCustomAttributes = "";

		// Numero
		$this->Numero->ViewValue = $this->Numero->CurrentValue;
		$this->Numero->ViewCustomAttributes = "";

		// monitoreado
		$this->monitoreado->ViewValue = $this->monitoreado->CurrentValue;
		$this->monitoreado->ViewCustomAttributes = "";

		// Grupo_Mortalidad
		$this->Grupo_Mortalidad->ViewValue = $this->Grupo_Mortalidad->CurrentValue;
		$this->Grupo_Mortalidad->ViewCustomAttributes = "";

		// Nombre_Subgrupo
		$this->Nombre_Subgrupo->ViewValue = $this->Nombre_Subgrupo->CurrentValue;
		$this->Nombre_Subgrupo->ViewCustomAttributes = "";

		// Grupo_General
		$this->Grupo_General->ViewValue = $this->Grupo_General->CurrentValue;
		$this->Grupo_General->ViewCustomAttributes = "";

		// Nombre
		$this->Nombre->ViewValue = $this->Nombre->CurrentValue;
		$this->Nombre->ViewCustomAttributes = "";

		// Codigo_tres
		$this->Codigo_tres->ViewValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->ViewCustomAttributes = "";

		// Nombre_codigo_tres
		$this->Nombre_codigo_tres->ViewValue = $this->Nombre_codigo_tres->CurrentValue;
		$this->Nombre_codigo_tres->ViewCustomAttributes = "";

			// Id
			$this->Id->LinkCustomAttributes = "";
			$this->Id->HrefValue = "";
			$this->Id->TooltipValue = "";

			// Codigo
			$this->Codigo->LinkCustomAttributes = "";
			$this->Codigo->HrefValue = "";
			$this->Codigo->TooltipValue = "";

			// Causa_Completa
			$this->Causa_Completa->LinkCustomAttributes = "";
			$this->Causa_Completa->HrefValue = "";
			$this->Causa_Completa->TooltipValue = "";

			// Causa
			$this->Causa->LinkCustomAttributes = "";
			$this->Causa->HrefValue = "";
			$this->Causa->TooltipValue = "";

			// Letra
			$this->Letra->LinkCustomAttributes = "";
			$this->Letra->HrefValue = "";
			$this->Letra->TooltipValue = "";

			// Numero
			$this->Numero->LinkCustomAttributes = "";
			$this->Numero->HrefValue = "";
			$this->Numero->TooltipValue = "";

			// monitoreado
			$this->monitoreado->LinkCustomAttributes = "";
			$this->monitoreado->HrefValue = "";
			$this->monitoreado->TooltipValue = "";

			// Grupo_Mortalidad
			$this->Grupo_Mortalidad->LinkCustomAttributes = "";
			$this->Grupo_Mortalidad->HrefValue = "";
			$this->Grupo_Mortalidad->TooltipValue = "";

			// Nombre_Subgrupo
			$this->Nombre_Subgrupo->LinkCustomAttributes = "";
			$this->Nombre_Subgrupo->HrefValue = "";
			$this->Nombre_Subgrupo->TooltipValue = "";

			// Grupo_General
			$this->Grupo_General->LinkCustomAttributes = "";
			$this->Grupo_General->HrefValue = "";
			$this->Grupo_General->TooltipValue = "";

			// Nombre
			$this->Nombre->LinkCustomAttributes = "";
			$this->Nombre->HrefValue = "";
			$this->Nombre->TooltipValue = "";

			// Codigo_tres
			$this->Codigo_tres->LinkCustomAttributes = "";
			$this->Codigo_tres->HrefValue = "";
			$this->Codigo_tres->TooltipValue = "";

			// Nombre_codigo_tres
			$this->Nombre_codigo_tres->LinkCustomAttributes = "";
			$this->Nombre_codigo_tres->HrefValue = "";
			$this->Nombre_codigo_tres->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("CIE10list.php"), "", $this->TableVar, TRUE);
		$PageId = "view";
		$Breadcrumb->Add("view", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Page Exporting event
	// $this->ExportDoc = export document object
	function Page_Exporting() {

		//$this->ExportDoc->Text = "my header"; // Export header
		//return FALSE; // Return FALSE to skip default export and use Row_Export event

		return TRUE; // Return TRUE to use default export and skip Row_Export event
	}

	// Row Export event
	// $this->ExportDoc = export document object
	function Row_Export($rs) {

	    //$this->ExportDoc->Text .= "my content"; // Build HTML with field value: $rs["MyField"] or $this->MyField->ViewValue
	}

	// Page Exported event
	// $this->ExportDoc = export document object
	function Page_Exported() {

		//$this->ExportDoc->Text .= "my footer"; // Export footer
		//echo $this->ExportDoc->Text;

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($CIE10_view)) $CIE10_view = new cCIE10_view();

// Page init
$CIE10_view->Page_Init();

// Page main
$CIE10_view->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$CIE10_view->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "view";
var CurrentForm = fCIE10view = new ew_Form("fCIE10view", "view");

// Form_CustomValidate event
fCIE10view.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fCIE10view.ValidateRequired = true;
<?php } else { ?>
fCIE10view.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php $CIE10_view->ExportOptions->Render("body") ?>
<?php
	foreach ($CIE10_view->OtherOptions as &$option)
		$option->Render("body");
?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $CIE10_view->ShowPageHeader(); ?>
<?php
$CIE10_view->ShowMessage();
?>
<form name="fCIE10view" id="fCIE10view" class="form-inline ewForm ewViewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($CIE10_view->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $CIE10_view->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="CIE10">
<table class="table table-bordered table-striped ewViewTable">
<?php if ($CIE10->Id->Visible) { // Id ?>
	<tr id="r_Id">
		<td><span id="elh_CIE10_Id"><?php echo $CIE10->Id->FldCaption() ?></span></td>
		<td data-name="Id"<?php echo $CIE10->Id->CellAttributes() ?>>
<span id="el_CIE10_Id">
<span<?php echo $CIE10->Id->ViewAttributes() ?>>
<?php echo $CIE10->Id->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Codigo->Visible) { // Codigo ?>
	<tr id="r_Codigo">
		<td><span id="elh_CIE10_Codigo"><?php echo $CIE10->Codigo->FldCaption() ?></span></td>
		<td data-name="Codigo"<?php echo $CIE10->Codigo->CellAttributes() ?>>
<span id="el_CIE10_Codigo">
<span<?php echo $CIE10->Codigo->ViewAttributes() ?>>
<?php echo $CIE10->Codigo->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Causa_Completa->Visible) { // Causa_Completa ?>
	<tr id="r_Causa_Completa">
		<td><span id="elh_CIE10_Causa_Completa"><?php echo $CIE10->Causa_Completa->FldCaption() ?></span></td>
		<td data-name="Causa_Completa"<?php echo $CIE10->Causa_Completa->CellAttributes() ?>>
<span id="el_CIE10_Causa_Completa">
<span<?php echo $CIE10->Causa_Completa->ViewAttributes() ?>>
<?php echo $CIE10->Causa_Completa->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Causa->Visible) { // Causa ?>
	<tr id="r_Causa">
		<td><span id="elh_CIE10_Causa"><?php echo $CIE10->Causa->FldCaption() ?></span></td>
		<td data-name="Causa"<?php echo $CIE10->Causa->CellAttributes() ?>>
<span id="el_CIE10_Causa">
<span<?php echo $CIE10->Causa->ViewAttributes() ?>>
<?php echo $CIE10->Causa->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Letra->Visible) { // Letra ?>
	<tr id="r_Letra">
		<td><span id="elh_CIE10_Letra"><?php echo $CIE10->Letra->FldCaption() ?></span></td>
		<td data-name="Letra"<?php echo $CIE10->Letra->CellAttributes() ?>>
<span id="el_CIE10_Letra">
<span<?php echo $CIE10->Letra->ViewAttributes() ?>>
<?php echo $CIE10->Letra->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Numero->Visible) { // Numero ?>
	<tr id="r_Numero">
		<td><span id="elh_CIE10_Numero"><?php echo $CIE10->Numero->FldCaption() ?></span></td>
		<td data-name="Numero"<?php echo $CIE10->Numero->CellAttributes() ?>>
<span id="el_CIE10_Numero">
<span<?php echo $CIE10->Numero->ViewAttributes() ?>>
<?php echo $CIE10->Numero->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->monitoreado->Visible) { // monitoreado ?>
	<tr id="r_monitoreado">
		<td><span id="elh_CIE10_monitoreado"><?php echo $CIE10->monitoreado->FldCaption() ?></span></td>
		<td data-name="monitoreado"<?php echo $CIE10->monitoreado->CellAttributes() ?>>
<span id="el_CIE10_monitoreado">
<span<?php echo $CIE10->monitoreado->ViewAttributes() ?>>
<?php echo $CIE10->monitoreado->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Grupo_Mortalidad->Visible) { // Grupo_Mortalidad ?>
	<tr id="r_Grupo_Mortalidad">
		<td><span id="elh_CIE10_Grupo_Mortalidad"><?php echo $CIE10->Grupo_Mortalidad->FldCaption() ?></span></td>
		<td data-name="Grupo_Mortalidad"<?php echo $CIE10->Grupo_Mortalidad->CellAttributes() ?>>
<span id="el_CIE10_Grupo_Mortalidad">
<span<?php echo $CIE10->Grupo_Mortalidad->ViewAttributes() ?>>
<?php echo $CIE10->Grupo_Mortalidad->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Nombre_Subgrupo->Visible) { // Nombre_Subgrupo ?>
	<tr id="r_Nombre_Subgrupo">
		<td><span id="elh_CIE10_Nombre_Subgrupo"><?php echo $CIE10->Nombre_Subgrupo->FldCaption() ?></span></td>
		<td data-name="Nombre_Subgrupo"<?php echo $CIE10->Nombre_Subgrupo->CellAttributes() ?>>
<span id="el_CIE10_Nombre_Subgrupo">
<span<?php echo $CIE10->Nombre_Subgrupo->ViewAttributes() ?>>
<?php echo $CIE10->Nombre_Subgrupo->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Grupo_General->Visible) { // Grupo_General ?>
	<tr id="r_Grupo_General">
		<td><span id="elh_CIE10_Grupo_General"><?php echo $CIE10->Grupo_General->FldCaption() ?></span></td>
		<td data-name="Grupo_General"<?php echo $CIE10->Grupo_General->CellAttributes() ?>>
<span id="el_CIE10_Grupo_General">
<span<?php echo $CIE10->Grupo_General->ViewAttributes() ?>>
<?php echo $CIE10->Grupo_General->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Nombre->Visible) { // Nombre ?>
	<tr id="r_Nombre">
		<td><span id="elh_CIE10_Nombre"><?php echo $CIE10->Nombre->FldCaption() ?></span></td>
		<td data-name="Nombre"<?php echo $CIE10->Nombre->CellAttributes() ?>>
<span id="el_CIE10_Nombre">
<span<?php echo $CIE10->Nombre->ViewAttributes() ?>>
<?php echo $CIE10->Nombre->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Codigo_tres->Visible) { // Codigo_tres ?>
	<tr id="r_Codigo_tres">
		<td><span id="elh_CIE10_Codigo_tres"><?php echo $CIE10->Codigo_tres->FldCaption() ?></span></td>
		<td data-name="Codigo_tres"<?php echo $CIE10->Codigo_tres->CellAttributes() ?>>
<span id="el_CIE10_Codigo_tres">
<span<?php echo $CIE10->Codigo_tres->ViewAttributes() ?>>
<?php echo $CIE10->Codigo_tres->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($CIE10->Nombre_codigo_tres->Visible) { // Nombre_codigo_tres ?>
	<tr id="r_Nombre_codigo_tres">
		<td><span id="elh_CIE10_Nombre_codigo_tres"><?php echo $CIE10->Nombre_codigo_tres->FldCaption() ?></span></td>
		<td data-name="Nombre_codigo_tres"<?php echo $CIE10->Nombre_codigo_tres->CellAttributes() ?>>
<span id="el_CIE10_Nombre_codigo_tres">
<span<?php echo $CIE10->Nombre_codigo_tres->ViewAttributes() ?>>
<?php echo $CIE10->Nombre_codigo_tres->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<script type="text/javascript">
fCIE10view.Init();
</script>
<?php
$CIE10_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$CIE10_view->Page_Terminate();
?>
